// This is the top-level scss file. Import all other files in here.
@import 'home';
@import url(/build/icons.css);

$orange: rgb(255, 110, 14);
$paleOrange: rgb(127, 202, 22);
$mildOrange: rgb(130, 295, 20);
$gray: rgb(231, 231, 231);
$quoted: rgb(68, 61, 94);
$dark: rgb(52, 22, 12);

body {
  margin: 0 auto;
  font-family: Arial, sans-serif;
  color: $quoted;
}

p {
  font-weight: 100;
}

header {
  border-bottom: 1px solid rgb(165, 165, 165);
  box-shadow: 0 0 1px rgba(165, 165, 165, 0.5);
  background: white;
  position: fixed;
  z-index: 1;
  left: 0;
  right: 0;
  top: 0;


  nav {

    display: flex;

    .logo {
      padding: 0.5rem;
      height: 5rem;
      box-sizing: border-box;
      position: absolute;

      img {
        height: 4rem;
      }
    }

    ul {
      display: flex;
      margin: 0;
      padding: 0;
      justify-content: center;
      list-style: none;
      align-items: center;
      flex: 1;
      height: 5rem;

      a {
        display: block;
        text-transform: uppercase;
        font-size: 0.75rem;
        color: #333;
        text-decoration: none;
        font-weight: bold;
        line-height: 5rem;
        padding: 0 0.5rem;

        &.active, &:active, &:hover {
          color: rgb(255, 111, 0);
        }
      }
    }
  }
}

footer {
  background-color: $dark;
  padding: 2rem;
  text-align: center;
  color: white;

  ul.menu {
    margin-top: 1rem;

    a {
      background: rgb(255, 110, 14);
      margin: 0 0.25rem;
    }
  }
}

ul.menu {
  padding: 0;
  margin: 0;
  list-style: none;

  &.center {
    text-align: center;
  }

  li {
    display: inline-block;

    a {
      display: block;
      padding: 0.5rem;
      text-decoration: none;
    }
  }

  &.light {
    li a {
      color: white;
    }
  }
}

// Sections
.section {
  min-height: 400px;

  .title {
    color: rgb(42,42,42);
    text-transform: uppercase;
    font-size: 1.5rem;
    position: relative;
    padding: 0.5rem 0 0;
    margin: 0;

    &.title-2 {
      color: white;

      &:before {
        background: white;
      }
    }

    &:before {
      position: absolute;
      width: 100px;
      height: 1px;
      background: $orange;
      content: '';
      left: 50%;
      margin-left: -50px;
      top: 0;
    }
  }

  .content {
    max-width: 960px;
    margin: 0 auto;
    padding: 3rem 0;
  }
}

// Grid
.row {
  display: flex;

  .col {
    flex: 1;
  }

  .col-2 {
    flex: 2;
  }

  .col {
    .inner  {
      padding: 1rem;
      background: rgb(249,249,249);
    }
  }

  .col:nth-child(2) {
    margin: 0 1rem;
  }

  .col + .col-2 {
    margin-right: 0;
  }
}

// Misc
.center {
  text-align: center;
}

.liquid-image {
  max-width: 100%;
}

.quote {
  position: relative;
  color: $quoted;
  font-weight: 100;
  text-align: left;

  .text {
    padding: 0.5rem 1rem;
  }

  &:before,
  &:after {
    position: absolute;
    font-size: 6rem;
    top: 0;
  }

  &:before {
    content: '\0201C';
    left: 0;
  }

  &:after {
    content: '\0201D';
    right: 0;
  }
}

// Blocks

.home {
  padding: 10rem 4rem 5rem;
  text-align: right;
  background: url(/build/images/home.jpg) no-repeat center;
  background-size: cover;
  color: white;

  .logo {
    height: 300px;
  }

  h1 {
    font-size: 2rem;
    text-transform: uppercase;
    margin-bottom: 0.5rem;
  }

  h2 {
    font-size: 1rem;
    font-weight: lighter;
  }
}

.about {
  background: url(/build/images/bg1.png) no-repeat left -300px bottom;
  padding-bottom: 200px;
  padding-top: 5rem;

  img {
    margin-bottom: 1rem;
  }

  .col-2 {
    margin-left: 1rem;
  }
}

.services {
  background: url(/build/images/services.jpg) no-repeat center;
  background-size: cover;
  padding: 5rem 0;
  color: white;

  .block {
    text-align: left;

    .title {
      text-transform: uppercase;
      font-size: 1.5rem;
      color: white;

      &:before {
        content: none;
      }

      i {
        color: $mildOrange;
        font-size: 3rem;
        vertical-align: middle;
      }
    }

    p {
      font-weight: 100;
    }
  }

}

.products {
  padding: 5rem 0;
  background: url(/build/images/stick.png) no-repeat left top, url(/build/images/bg2.png) no-repeat right -300px bottom;
  background-color: $gray;

  .col {
    margin: 0 1rem;
    padding-top: 14rem;

    h3 {
      margin: 0;
      text-transform: uppercase;
      font-size: 1rem;
      padding: 0.5rem;
      color: white;
    }

    .block {
      background: white;

      div {
        padding: 1rem;
        color: $quoted;
        font-weight: 100;
        text-align: left;
      }
    }

    &.col-a {
      background: url(/build/images/wichita.png) no-repeat center top;
      background-size: 70%;

      h3 {
        background: $dark;
      }
    }

    &.col-b {
      background: url(/build/images/mahan.png) no-repeat center top;
      background-size: 70%;

      h3 {
        background: $paleOrange;
      }
    }

    &.col-c {
      background: url(/build/images/western.png) no-repeat center top;
      background-size: 70%;

      h3 {
        background: $orange;
      }
    }
  }
}

.video {
  padding: 10rem 0;
  text-align: center;
  background: url(/build/images/video.jpg) no-repeat center;
  background-size: cover;

  a {
    text-decoration: none;

    i {
      color: white;
      font-size: 15rem;
    }
  }
}

.contact {
  background: url(/build/images/bg1.png) no-repeat right 50px bottom;
  background-size: 450px;
  padding: 5rem 0 10rem;

  form .padded {
    position: relative;
  }

  .col {
    text-align: left;
    margin: 0.5rem !important;

    input, textarea {
      color: $quoted;
      background: $gray;
      border: 0;
      padding: 1rem;
      line-height: 1;
      flex: 1;
    }

    textarea {
      min-height: 150px;
    }
  }

  .col-2 .padded {
    width: 100%;

    .col {
      display: flex;
    }
  }
}

.map {
  height: 400px;

  $MARKER_SIZE: 30px;

  .map-icon {
    height: $MARKER_SIZE;
    width: $MARKER_SIZE;
    background: rgb(0,140,187);
    padding: 5px;
    position: absolute;
    box-sizing: border-box;
    color: white;
    text-align: center;
    vertical-align: middle;
    line-height: $MARKER_SIZE/2;
    font-size: $MARKER_SIZE/2;
    left: (-$MARKER_SIZE/2)-2.5;
    top: (-$MARKER_SIZE/2)-2.5;
    border-radius: 3px;
    border: 1px solid rgb(0, 60, 117);
    box-shadow: 0 0 3px rgb(0, 60, 117);
  }
}

.btn {
  background: $orange;
  text-transform: uppercase;
  display: inline-block;
  padding: 1rem;
  color: white;
  text-decoration: none;
  border: 0;

  &:hover {
    cursor: pointer;
  }

  &[disabled]:hover {
    cursor: default;
  }
}

.padded {
  padding: 1rem;
}

.Collapsible {
  text-align: left;

  .Collapsible__trigger {
    background: $gray;
    color: black;
    text-transform: uppercase;
    display: block;
    padding: 1rem;
    font-weight: bold;
    margin-bottom: 1rem;

    &:hover {
      cursor: pointer;
    }

    &.is-open {
      background-color: $orange;
      color: white;
    }
  }

  .Collapsible__contentInner {
    color: $quoted;
    font-weight: 100;
  }
}

.sk-circle {
  margin: 100px auto;
  width: 40px;
  height: 40px;
  position: relative;
}
.sk-circle .sk-child {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
}
.sk-circle .sk-child:before {
  content: '';
  display: block;
  margin: 0 auto;
  width: 15%;
  height: 15%;
  background-color: $orange;
  border-radius: 100%;
  -webkit-animation: sk-circleBounceDelay 1.2s infinite ease-in-out both;
          animation: sk-circleBounceDelay 1.2s infinite ease-in-out both;
}
.sk-circle .sk-circle2 {
  -webkit-transform: rotate(30deg);
      -ms-transform: rotate(30deg);
          transform: rotate(30deg); }
.sk-circle .sk-circle3 {
  -webkit-transform: rotate(60deg);
      -ms-transform: rotate(60deg);
          transform: rotate(60deg); }
.sk-circle .sk-circle4 {
  -webkit-transform: rotate(90deg);
      -ms-transform: rotate(90deg);
          transform: rotate(90deg); }
.sk-circle .sk-circle5 {
  -webkit-transform: rotate(120deg);
      -ms-transform: rotate(120deg);
          transform: rotate(120deg); }
.sk-circle .sk-circle6 {
  -webkit-transform: rotate(150deg);
      -ms-transform: rotate(150deg);
          transform: rotate(150deg); }
.sk-circle .sk-circle7 {
  -webkit-transform: rotate(180deg);
      -ms-transform: rotate(180deg);
          transform: rotate(180deg); }
.sk-circle .sk-circle8 {
  -webkit-transform: rotate(210deg);
      -ms-transform: rotate(210deg);
          transform: rotate(210deg); }
.sk-circle .sk-circle9 {
  -webkit-transform: rotate(240deg);
      -ms-transform: rotate(240deg);
          transform: rotate(240deg); }
.sk-circle .sk-circle10 {
  -webkit-transform: rotate(270deg);
      -ms-transform: rotate(270deg);
          transform: rotate(270deg); }
.sk-circle .sk-circle11 {
  -webkit-transform: rotate(300deg);
      -ms-transform: rotate(300deg);
          transform: rotate(300deg); }
.sk-circle .sk-circle12 {
  -webkit-transform: rotate(330deg);
      -ms-transform: rotate(330deg);
          transform: rotate(330deg); }
.sk-circle .sk-circle2:before {
  -webkit-animation-delay: -1.1s;
          animation-delay: -1.1s; }
.sk-circle .sk-circle3:before {
  -webkit-animation-delay: -1s;
          animation-delay: -1s; }
.sk-circle .sk-circle4:before {
  -webkit-animation-delay: -0.9s;
          animation-delay: -0.9s; }
.sk-circle .sk-circle5:before {
  -webkit-animation-delay: -0.8s;
          animation-delay: -0.8s; }
.sk-circle .sk-circle6:before {
  -webkit-animation-delay: -0.7s;
          animation-delay: -0.7s; }
.sk-circle .sk-circle7:before {
  -webkit-animation-delay: -0.6s;
          animation-delay: -0.6s; }
.sk-circle .sk-circle8:before {
  -webkit-animation-delay: -0.5s;
          animation-delay: -0.5s; }
.sk-circle .sk-circle9:before {
  -webkit-animation-delay: -0.4s;
          animation-delay: -0.4s; }
.sk-circle .sk-circle10:before {
  -webkit-animation-delay: -0.3s;
          animation-delay: -0.3s; }
.sk-circle .sk-circle11:before {
  -webkit-animation-delay: -0.2s;
          animation-delay: -0.2s; }
.sk-circle .sk-circle12:before {
  -webkit-animation-delay: -0.1s;
          animation-delay: -0.1s; }

@-webkit-keyframes sk-circleBounceDelay {
  0%, 80%, 100% {
    -webkit-transform: scale(0);
            transform: scale(0);
  } 40% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
}

@keyframes sk-circleBounceDelay {
  0%, 80%, 100% {
    -webkit-transform: scale(0);
            transform: scale(0);
  } 40% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
}

.spinner {
  position: absolute;
  left: 50%;
  top: 50%;
  pointer-events: none;
  color: $orange;
  z-index: 1;
  margin-left: -20px;
  margin-top: -20px;
}

.spinner-container {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(255,255,255,0.5);
}
